Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Sat, 25 Jun 2022 13:26:59 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I had the worst online experience ever! Order 9575157474

I ordered 2 shirts! And for two times! The delivery guys calls and asked if I have exact amount, the two times I had 500aed.

For the two times! The delivery guys doesnt say anything and all I receive is a text msg saying we couldnt deliver because of COD not ready! Guys! I have ur cash! If you are coming for COD you should come ready! It is COD!! There is supermarkets everywhere when u can get change prior to coming but still with no notice! Decides to cancel the delivery! The WORST ONLINR EXPERIENCE EVER! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4541455